Subject: Making up the cases
From: [email-masked] (Henry J. Cobb)

6 Jan 1999 21:28:23 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

The other side of the coin for filename cases is a tool like Make, that
invokes other programs.

Make has to go and "produce" files (via RCS or whatever) and then pass the
names of the files onto other tools, which might be very sensitive to the
cases of the filenames. (like javac.exe)

So while make can search insensitively through it's own list of filenames,
it must respect the given (or derived!) filenames when invoking other
programs.

It gets rather complex.  At the moment I have a workaround that usually
works, but I'm worried that the tools might get too smart to work around.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".